#if !defined(AFX_PRPTABLETEXT_H__5AF25B53_9873_4BC7_B7F6_A6A1B62F977C__INCLUDED_)
#define AFX_PRPTABLETEXT_H__5AF25B53_9873_4BC7_B7F6_A6A1B62F977C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProTableText.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "ProTableTextSub.h"
#include "StcBorder.h"		// For CFCStcBorder.
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

/////////////////////////////////////////////////////////////////////////////
// CFCProTableText _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProTableText : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProTableText)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProTableText ();
	~CFCProTableText ();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProTableText)
	enum { IDD = IDD_PRO_TABLE_TEXT };
	CFCStcBorder	m_stcBorder2;
	CFCStcBorder	m_stcBorder1;
	//}}AFX_DATA

CFCPROTABLETEXT

// _xZkqqHx_iDiGiBfLiDfFiKnGjAjEiBeC_xHqqkZx_
protected:
	virtual BYTE	myangle2BYTE (angle dAngle) const;
	virtual angle	myBYTE2angle (BYTE byAngle) const;

// _xZkqqHx_iDiGiBfLiDfFjFmPjAjEiBeC_xHqqkZx_
protected:
	BOOL	m_bCanSetTextProp;	// _xZkqqHx_iDgFiDeMiDfIiDgHjBkOjAkLiCkKjAnNjCoIiJmCjEfMiCkJiCmHiCkEiCkJiBeC_xHqqkZx_

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_

	//{{AFX_VIRTUAL(CFCProTableText)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProTableText)
	virtual BOOL OnInitDialog();
	afx_msg void OnChangeTttEdtTextMarginL();
	afx_msg void OnChangeTttEdtTextMarginT();
	afx_msg void OnChangeTttEdtTextMarginR();
	afx_msg void OnChangeTttEdtTextMarginB();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnTttRdoTextAngle00();
	afx_msg void OnTttRdoTextAngle05();
	afx_msg void OnTttRdoTextAngle10();
	afx_msg void OnTttRdoTextAngle15();
	afx_msg void OnTttRdoTextAngleUnknown();
	afx_msg void OnSelchangeTttCmbIsResizeHorzByText();
	afx_msg void OnSelchangeTttCmbIsResizeVertByText();
	afx_msg void OnSelchangeTttCmbIsShortenByText();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	afx_msg void OnSelchangeTttCmbTextResizeHorz();
//	afx_msg void OnSelchangeTttCmbTextResizeVert();
//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----
//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	afx_msg void OnTttRdoTextShortenNone();
//	afx_msg void OnTttRdoTextShortenSize();
//	afx_msg void OnTttRdoTextShortenUnknown();
//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PRPTABLETEXT_H__5AF25B53_9873_4BC7_B7F6_A6A1B62F977C__INCLUDED_)
